Dialog.ModalityType (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt, class: Dialog, enum: ModalityType
Keywords: java.awt.Dialog.ModalityType class

# Enum Class Dialog.ModalityType

java.lang.Object
java.lang.Enum<Dialog.ModalityType>
java.awt.Dialog.ModalityType

All Implemented Interfaces:
  `Serializable, Comparable<Dialog.ModalityType>, Constable`

Enclosing class:
  `Dialog`

public static enum Dialog.ModalityType extends Enum<Dialog.ModalityType>
Modal dialogs block all input to some top-level windows. Whether a particular window is blocked depends on dialog's type of modality; this is called the "scope of blocking". The `ModalityType` enum specifies modal types and their associated scopes.

Since:
  1.6
See Also:
  - `Dialog.getModalityType()`
  - `Dialog.setModalityType(Dialog.ModalityType)`
  - `Toolkit.isModalityTypeSupported(Dialog.ModalityType)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_MODAL`
  An `APPLICATION_MODAL` dialog blocks all top-level windows from the same Java application except those from its own child hierarchy.
  `DOCUMENT_MODAL`
  A `DOCUMENT_MODAL` dialog blocks input to all top-level windows from the same document except those from its own child hierarchy.
  `MODELESS`
  `MODELESS` dialog doesn't block any top-level windows.
  `TOOLKIT_MODAL`
  A `TOOLKIT_MODAL` dialog blocks all top-level windows run from the same toolkit except those from its own child hierarchy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Dialog.ModalityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Dialog.ModalityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(Dialog.ModalityType o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<Dialog.ModalityType>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<Dialog.ModalityType>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### MODELESS

    public static final Dialog.ModalityType MODELESS
    `MODELESS` dialog doesn't block any top-level windows.

  - ### DOCUMENT_MODAL

    public static final Dialog.ModalityType DOCUMENT_MODAL
    A `DOCUMENT_MODAL` dialog blocks input to all top-level windows from the same document except those from its own child hierarchy. A document is a top-level window without an owner. It may contain child windows that, together with the top-level window are treated as a single solid document. Since every top-level window must belong to some document, its root can be found as the top-nearest window without an owner.

  - ### APPLICATION_MODAL

    public static final Dialog.ModalityType APPLICATION_MODAL
    An `APPLICATION_MODAL` dialog blocks all top-level windows from the same Java application except those from its own child hierarchy.

  - ### TOOLKIT_MODAL

    public static final Dialog.ModalityType TOOLKIT_MODAL
    A `TOOLKIT_MODAL` dialog blocks all top-level windows run from the same toolkit except those from its own child hierarchy.

- ## Method Details

  - ### values

    public static Dialog.ModalityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Dialog.ModalityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null